Bug 870189 - Review Request: ibacm - InfiniBand Communication Manager Assistant
Review Request: ibacm - InfiniBand Communication Manager Assistant
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 14:40 EDT by Jon Stanley
Modified: 2016-03-29 19:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 19:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2012-10-25 14:40:00 EDT
Spec URL: http://jstanley.fedorapeople.org//ibacm.spec
SRPM URL: http://jstanley.fedorapeople.org//ibacm-1.0.7-1.fc19.src.rpm

Description:
The ib_acm daemon helps reduce the load of managing path record lookups on
large InfiniBand fabrics by providing a user space implementation of what
is functionally similar to an ARP cache.  The use of ib_acm, when properly
configured, can reduce the SA packet load of a large IB cluster from O(n^2)
to O(n).  The ib_acm daemon is started and normally runs in the background,
user applications need not know about this daemon as long as their app
uses librdmacm to handle connection bring up/tear down.  The librdmacm
library knows how to talk directly to the ib_acm daemon to retrieve data.
Comment 1 Jon Stanley 2012-10-25 14:40:06 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4626564
Comment 2 Volker Fröhlich 2012-10-25 18:13:03 EDT
The version constraint on libibverbs-devel is not necessary.

You can drop "-n %{name}-%{version}" from the setup macro and remove the %defattrs, as they only set what's the default anyway.

Please make the build verbose.

Systemd service files are usually not executable.
Comment 4 Jon Stanley 2012-11-10 20:43:13 EST
Ping - anything else needed here?
Comment 5 Volker Fröhlich 2013-04-27 14:31:52 EDT
Remove README, as it only contains building instructions.

I think you should install the configuration files ibacm_addr.cfg and ibacm_opts.cfg. Citing the manpage:

"""
The ibacm service relies on two configuration files.

The  ibacm_addr.cfg  file  contains  name  and  address  mappings [...]
"""

and

"""
The  ibacm_opts.cfg  file provides a set of configurable options for the ibacm
service, such as timeout, number of retries, logging level, [...]
"""


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.

PPC and ARM succeeds, if that makes sense

[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ibacm-devel

I think the isa macro is not absolutely necessary here, as this is not the usual devel subpackage that has a symlink in /usr/lib{,64}.

[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/870189-ibacm/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[!]: Package does not own files or directories owned by other packages.

/usr/include/infiniband is owned by various packages

[x]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.

Adding a few empty lines between the scriptlets would make it look a bit better, but that's not a blocker, of course!

[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

False positive typos and a bogus warning related to the unit file

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.

acm.h's timestamp is lost

[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ibacm-1.0.7-2.fc20.x86_64.rpm
          ibacm-devel-1.0.7-2.fc20.x86_64.rpm
ibacm.x86_64: W: spelling-error %description -l en_US ib -> bi, ob, iv
ibacm.x86_64: W: spelling-error %description -l en_US acm -> cam, ac, am
ibacm.x86_64: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
ibacm.x86_64: W: spelling-error %description -l en_US librdmacm -> Librium
ibacm.x86_64: W: only-non-binary-in-usr-lib
ibacm-devel.x86_64: W: spelling-error Summary(en_US) ib -> bi, ob, iv
ibacm-devel.x86_64: W: spelling-error Summary(en_US) acm -> cam, ac, am
ibacm-devel.x86_64: W: spelling-error %description -l en_US ib -> bi, ob, iv
ibacm-devel.x86_64: W: spelling-error %description -l en_US acm -> cam, ac, am
ibacm-devel.x86_64: W: spelling-error %description -l en_US librdmacm -> Librium
ibacm-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ibacm-devel ibacm
ibacm-devel.x86_64: W: spelling-error Summary(en_US) ib -> bi, ob, iv
ibacm-devel.x86_64: W: spelling-error Summary(en_US) acm -> cam, ac, am
ibacm-devel.x86_64: W: spelling-error %description -l en_US ib -> bi, ob, iv
ibacm-devel.x86_64: W: spelling-error %description -l en_US acm -> cam, ac, am
ibacm-devel.x86_64: W: spelling-error %description -l en_US librdmacm -> Librium
ibacm-devel.x86_64: W: no-documentation
ibacm.x86_64: W: spelling-error %description -l en_US ib -> bi, ob, iv
ibacm.x86_64: W: spelling-error %description -l en_US acm -> cam, ac, am
ibacm.x86_64: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
ibacm.x86_64: W: spelling-error %description -l en_US librdmacm -> Librium
ibacm.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
ibacm-devel (rpmlib, GLIBC filtered):
    ibacm

ibacm (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libibumad.so.3()(64bit)
    libibumad.so.3(IBUMAD_1.0)(64bit)
    libibverbs.so.1()(64bit)
    libibverbs.so.1(IBVERBS_1.0)(64bit)
    libibverbs.so.1(IBVERBS_1.1)(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)
    systemd



Provides
--------
ibacm-devel:
    ibacm-devel
    ibacm-devel(x86-64)

ibacm:
    ibacm
    ibacm(x86-64)



MD5-sum check
-------------
http://www.openfabrics.org/downloads/rdmacm/ibacm-1.0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 689fb6d483e7cd67d7c740227c3860cff62a1cd24c8e9de9904a82e7e3e841f6
  CHECKSUM(SHA256) upstream package : 689fb6d483e7cd67d7c740227c3860cff62a1cd24c8e9de9904a82e7e3e841f6


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 870189
Comment 6 Christopher Meng 2014-01-24 02:13:31 EST
Please have a look at bug 700285 if possible.
Comment 7 Volker Fröhlich 2014-04-26 15:25:35 EDT
Christopher: I'm not allowed to access it.

Jon: Please proceed with this package!
Comment 8 Honggang LI 2016-03-09 01:56:00 EST
Ping? Is this still a valid review request? It has been here about 4 years, and seems nobody really care about this bug. Is it acceptable to open a new review request bug for ibacm?

thanks
Comment 9 Honggang LI 2016-03-29 07:19:40 EDT
Can somebody please close this stale bug? We will open a new package review request for ibacm.
Comment 10 Honggang LI 2016-03-29 19:44:36 EDT
As nobody cares about this bugs over 4 years, I'm closing it and submitting a new package review request for ibacm.

Note You need to log in before you can comment on or make changes to this bug.